{% extends 'layouts/artdrop.html.twig' %}

{% block title %}Mes réseaux sociaux{% endblock %}


{% block newstylesheets %}
    <!-- inclut une feuille de style spécifique a cette page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}


{% block titleAndDecription %}
    {% if app.user %}
        <!-- affiche le titre si l'utilisateur est connécter -->
        <h2>Mes Réseaux</h2>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas connécter -->
        <h1 class="error_access_message">Vous devez être connecté pour accéder à cette page</h1>
    {% endif %}
{% endblock %}


{% block section %}
    <!-- affiche le contenu de la page si l'utilisateur est connécter -->
    {% if app.user %}
        <!-- ======= Network Section ======= -->
        <section>

            <div class="network-container">
                <!-- inclut l'élement d'affichage de la boite du reseau social -->
                {% include 'includes/network-element.html.twig' %}

                <!-- boutton permettant l'ajout des nouveaux réseaux sociaux -->
                <div class="button-network" id="button-network">
                    <a href="#">
                        <div class="artwork-item add-network">
                            <i class="bi bi-plus-circle circle-network"></i>
                        </div>
                    </a>
                </div>

                <!-- affichage du formulaire -->
                <div class="network-form" id="network-form">
                    {{ form(networkForm) }}
                </div>

            </div>
        </section><!-- End Network Section -->

        <script>
            // script pour afficher ou non le formulaire d'ajout
            // récupération du form
            let networkForm = document.getElementById('network-form');
            // récupération du boutton
            let addNetworkButton = document.getElementById('button-network');
            // détermine la visibilité du form sur false
            let formVisible = false;

            // ajout d'une écoute de type click sur le boutton d'ajout
            addNetworkButton.addEventListener('click', toggleNetwork);

            // fonction qui change la valeur de la variable de visibilité lors du click
            function toggleNetwork() {
                formVisible = !formVisible

                // mise en place d'une condition, si la visibilité est true il affiche le form, sinon il ne l'affiche pas
                if (formVisible) {
                    networkForm.style.display = 'flex';
                } else {
                    networkForm.style.display = 'none';
                }
                // stop le comportement par défaut
                event.preventDefault();
            }

        </script>

    {% endif %}

{% endblock %}